using SqlSugar;

namespace OpenAuth.Repository.Domain;

///<summary>
/// 无人机案件信息单表模型
///</summary>
public class DroneCaseInfoSingleOld
{
    ///<summary>
    /// 主键ID
    ///</summary>
    [SugarColumn(IsPrimaryKey = true, ColumnName = "Id")]
    public string Id { get; set; }

    ///<summary>
    /// 案件编号
    ///</summary>
    [SugarColumn(ColumnName = "case_no")]
    public string CaseNo { get; set; }

    ///<summary>
    /// 案件名称
    ///</summary>
    [SugarColumn(ColumnName = "case_name")]
    public string CaseName { get; set; }

    ///<summary>
    /// 案件描述
    ///</summary>
    [SugarColumn(ColumnName = "case_description")]
    public string CaseDescription { get; set; }

    ///<summary>
    /// 开始时间
    ///</summary>
    [SugarColumn(ColumnName = "start_time")]
    public DateTime? StartTime { get; set; }

    ///<summary>
    /// 结束时间
    ///</summary>
    [SugarColumn(ColumnName = "end_time")]
    public DateTime? EndTime { get; set; }

    ///<summary>
    /// 地址
    ///</summary>
    [SugarColumn(ColumnName = "address")]
    public string Address { get; set; }

    ///<summary>
    /// 经度
    ///</summary>
    [SugarColumn(ColumnName = "lng")]
    public decimal? Lng { get; set; }

    ///<summary>
    /// 纬度
    ///</summary>
    [SugarColumn(ColumnName = "lat")]
    public decimal? Lat { get; set; }

    ///<summary>
    /// 类型ID
    ///</summary>
    [SugarColumn(ColumnName = "typeid")]
    public string TypeId { get; set; }

    ///<summary>
    /// 类型名称
    ///</summary>
    [SugarColumn(ColumnName = "typename")]
    public string TypeName { get; set; }

    ///<summary>
    /// 处理状态ID
    ///</summary>
    [SugarColumn(ColumnName = "handle_status_id")]
    public int? HandleStatusId { get; set; }

    ///<summary>
    /// 处理状态名称
    ///</summary>
    [SugarColumn(ColumnName = "handle_status_name")]
    public string HandleStatusName { get; set; }

    ///<summary>
    /// 案件状态ID
    ///</summary>
    [SugarColumn(ColumnName = "case_status_id")]
    public string CaseStatusId { get; set; }

    ///<summary>
    /// 案件状态名称
    ///</summary>
    [SugarColumn(ColumnName = "case_status_name")]
    public string CaseStatusName { get; set; }

    ///<summary>
    /// 创建时间
    ///</summary>
    [SugarColumn(ColumnName = "createtime")]
    public DateTime? CreateTime { get; set; }

    ///<summary>
    /// 创建用户
    ///</summary>
    [SugarColumn(ColumnName = "createuser")]
    public string CreateUser { get; set; }

    ///<summary>
    /// 无人机编号
    ///</summary>
    [SugarColumn(ColumnName = "drone_no")]
    public string DroneNo { get; set; }

    ///<summary>
    /// 处理用户ID
    ///</summary>
    [SugarColumn(ColumnName = "deal_userid")]
    public string DealUserId { get; set; }

    ///<summary>
    /// 处理用户名
    ///</summary>
    [SugarColumn(ColumnName = "deal_username")]
    public string DealUsername { get; set; }

    ///<summary>
    /// 创建用户名
    ///</summary>
    [SugarColumn(ColumnName = "createusername")]
    public string CreateUsername { get; set; }

    ///<summary>
    /// 是否删除
    ///</summary>
    [SugarColumn(ColumnName = "is_delete")]
    public int? IsDelete { get; set; }
    
    ///<summary>
    /// 视频
    ///</summary>
    [SugarColumn(ColumnName = "video")]
    public string Video { get; set; }


    ///<summary>
    /// 非法联系人ID
    ///</summary>
    [SugarColumn(ColumnName = "contacts_people_ncc")]
    public string ContactsPeopleNcc { get; set; }

    ///<summary>
    /// 非法联系人电话
    ///</summary>
    [SugarColumn(ColumnName = "contacts_phone_ncc")]
    public string ContactsPhoneNcc { get; set; }

    [SugarColumn(ColumnName = "contacts_people_nwssx")]
    public string ContactsPeopleNwssx { get; set; }


    /// <summary>
    /// Desc:县
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "countyid")]
    public string? CountyId { get; set; }

    /// <summary>
    /// Desc:县
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "countyname")]
    public string? CountyName { get; set; }

    /// <summary>
    /// Desc:镇
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "streetid")]
    public string? StreetId { get; set; }

    /// <summary>
    /// Desc:镇
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "streetname")]
    public string? StreetName { get; set; }

    /// <summary>
    /// Desc:村
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "communityid")]
    public string? CommunityId { get; set; }

    /// <summary>
    /// Desc:村
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "communityname")]
    public string? CommunityName { get; set; }

    /// <summary>
    /// Desc:备注
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "remark")]
    public string? Remark { get; set; }

    /// <summary>
    /// Desc:是否关闭
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_closed")]
    public int? IsClosed { get; set; }

    /// <summary>
    /// Desc:面积
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "area")]
    public string? Area { get; set; }

    /// <summary>
    /// Desc:是否违法(0-合法，1-违法，2-伪变化)
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_illegal")]
    public int? IsIllegal { get; set; }

    /// <summary>
    /// Desc:关闭人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "close_user")]
    public string? CloseUser { get; set; }

    /// <summary>
    /// Desc:关闭时间
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "close_time")]
    public DateTime? CloseTime { get; set; }

    /// <summary>
    /// Desc:判读人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "identification_user")]
    public string? IdentificationUser { get; set; }

    /// <summary>
    /// Desc:判读时间
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "identification_time")]
    public DateTime? IdentificationTime { get; set; }

    /// <summary>
    /// Desc:是否判读 (0未判读 1已判读 99已关闭)
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_intact")]
    public int? IsIntact { get; set; }

    /// <summary>
    /// Desc:关闭人id
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "close_userid")]
    public string? CloseUserId { get; set; }

    /// <summary>
    /// Desc:判读人id
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "identification_userid")]
    public string? IdentificationUserid { get; set; }

    /// <summary>
    /// Desc:审核人id
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "verifyuserid")]
    public string? VerifyUserId { get; set; }

    /// <summary>
    /// Desc:审核人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "verifyuser")]
    public string? VerifyUser { get; set; }

    /// <summary>
    /// Desc:审核时间
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "verifytime")]
    public DateTime? VerifyTime { get; set; }

    /// <summary>
    /// Desc:是否改进
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_improve")]
    public int? IsImprove { get; set; }

    /// <summary>
    /// Desc:改进原因
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "improve_reason")]
    public string? ImproveReason { get; set; }

    /// <summary>
    /// Desc:是否分发
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_dispense")]
    public int? IsDispense { get; set; }

    /// <summary>
    /// Desc:分发人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "dispense_userid")]
    public string? DispenseUserid { get; set; }

    /// <summary>
    /// Desc:分发时间
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "dispense_time")]
    public DateTime? DispenseTime { get; set; }

    /// <summary>
    /// Desc:分发人姓名
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "dispense_username")]
    public string? DispenseUsername { get; set; }

    /// <summary>
    /// Desc:审核状态
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "verifystatus")]
    public int? VerifyStatus { get; set; }

    /// <summary>
    /// Desc:审核状态
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "verifystatusname")]
    public string? VerifyStatusName { get; set; }

    /// <summary>
    /// Desc:是否已查看（0未查看，1已查看）
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_checked")]
    public int? IsChecked { get; set; }

    /// <summary>
    /// Desc:处理时间
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "deal_time")]
    public DateTime? DealTime { get; set; }

    /// <summary>
    /// Desc:前时相
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "pre_phase_time")]
    public DateTime? PrePhaseTime { get; set; }

    /// <summary>
    /// Desc:后时相
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "later_phase_time")]
    public DateTime? LaterPhaseTime { get; set; }

    /// <summary>
    /// Desc:前时相 照片
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "pre_phase_img")]
    public string? PrePhaseImg { get; set; }

    /// <summary>
    /// Desc:后时相 照片
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "later_phase_img")]
    public string? LaterPhaseImg { get; set; }

    /// <summary>
    /// Desc:是否核销
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_verification")]
    public int? IsVerification { get; set; }

    /// <summary>
    /// Desc:核销人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "verification_userid")]
    public string? VerificationUserid { get; set; }

    /// <summary>
    /// Desc:核销人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "verification_username")]
    public string? VerificationUsername { get; set; }

    /// <summary>
    /// Desc:核销时间
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "verification_time")]
    public DateTime? VerificationTime { get; set; }

    /// <summary>
    /// Desc:是否退回
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_drawback")]
    public int? IsDrawback { get; set; }

    /// <summary>
    /// Desc:退回给谁
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "back_to_userid")]
    public string? BackToUserid { get; set; }

    /// <summary>
    /// Desc:退回给谁
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "back_to_username")]
    public string? BackToUsername { get; set; }

    /// <summary>
    /// Desc:退回类型
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "drawback_type")]
    public string? DrawbackType { get; set; }

    /// <summary>
    /// Desc:退回描述
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "drawback_description")]
    public string? DrawbackDescription { get; set; }

    /// <summary>
    /// Desc:是否暂结
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_tentative_complete")]
    public int? IsTentativeComplete { get; set; }

    /// <summary>
    /// Desc:暂结人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "tentative_userid")]
    public string? TentativeUserid { get; set; }

    /// <summary>
    /// Desc:暂结人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "tentative_username")]
    public string? TentativeUsername { get; set; }

    /// <summary>
    /// Desc:暂结时间
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "tentative_time")]
    public DateTime? TentativeTime { get; set; }

    /// <summary>
    /// Desc:是否核查
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_examine")]
    public int? IsExamine { get; set; }

    /// <summary>
    /// Desc:核查人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "examiner_id")]
    public string? ExaminerId { get; set; }

    /// <summary>
    /// Desc:核查人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "examiner_name")]
    public string? ExaminerName { get; set; }

    /// <summary>
    /// Desc:核查人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "examine_time")]
    public DateTime? ExamineTime { get; set; }

    /// <summary>
    /// Desc:处理措施
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "measure_name")]
    public string? MeasureName { get; set; }

    /// <summary>
    /// Desc:退回次数
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "drawbackcount")]
    public int? DrawbackCount { get; set; }

    /// <summary>
    /// Desc:整改后照片标签
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "afterpic")]
    public string? AfterPic { get; set; }

    /// <summary>
    /// Desc:合法文件标签
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "evidencefile")]
    public string? EvidenceFile { get; set; }

    /// <summary>
    /// Desc:处罚通知书
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "punishpic")]
    public string? PunishPic { get; set; }

    /// <summary>
    /// Desc:交款通知书
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "paymentpic")]
    public string? PaymentPic { get; set; }

    /// <summary>
    /// Desc:政府同意完善手续证明
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "agreecheckoutpic")]
    public string? AgreeCheckoutPic { get; set; }

    /// <summary>
    /// Desc:办理手续
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "checkoutpic")]
    public string? CheckoutPic { get; set; }

    /// <summary>
    /// Desc:勘测定界图
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "boundarypic")]
    public string? BoundaryPic { get; set; }

    /// <summary>
    /// Desc:图片
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "casepic")]
    public string? CasePic { get; set; }


    /// <summary>
    /// Desc:处理意见
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "opinion")]
    public string? Opinion { get; set; }

    /// <summary>
    /// Desc:处理结果
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "result")]
    public int? Result { get; set; }

    /// <summary>
    /// Desc:处理结果
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "result_name")]
    public string? ResultName { get; set; }

    /// <summary>
    /// Desc:处理意见
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "opinion_name")]
    public string? OpinionName { get; set; }

    /// <summary>
    /// Desc:处理时间
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "handletime")]
    public DateTime? HandleTime { get; set; }

    /// <summary>
    /// Desc:处理人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "handleuser")]
    public string? HandleUser { get; set; }

    /// <summary>
    /// Desc:处理姓名
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "handleusername")]
    public string? HandleUsername { get; set; }

    /// <summary>
    /// Desc:是否协办
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_assist")]
    public int? IsAssist { get; set; }

    /// <summary>
    /// Desc:协办人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "assist_people")]
    public string? AssistPeople { get; set; }

    /// <summary>
    /// Desc:协办单位
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "assist_company")]
    public string? AssistCompany { get; set; }

    /// <summary>
    /// Desc:处理措施
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "measure_name_deal")]
    public string? MeasureNameDeal { get; set; }

    /// <summary>
    /// Desc:违法联系人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "illegal_contact")]
    public string? IllegalContact { get; set; }

    /// <summary>
    /// Desc:违法联系人电话
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "illegal_contact_phone")]
    public string? IllegalContactPhone { get; set; }

    /// <summary>
    /// Desc:实际现场情况
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "actual_scene_case")]
    public string? ActualSceneCase { get; set; }

    /// <summary>
    /// Desc:查处类型
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "investigation_type")]
    public int? InvestigationType { get; set; }

    /// <summary>
    /// Desc:查处结果
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "investigation_result")]
    public string? InvestigationResult { get; set; }

    /// <summary>
    /// Desc:立案号
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "registr_number")]
    public string? RegistrNumber { get; set; }

    /// <summary>
    /// Desc:0建设中 1已建成
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_build_complete")]
    public int? IsBuildComplete { get; set; }

    /// <summary>
    /// Desc:批准文件名称
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "evidence_file_name")]
    public string? EvidenceFileName { get; set; }

    /// <summary>
    /// Desc:批准文件编号
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "evidence_file_number")]
    public string? EvidenceFileNumber { get; set; }

    /// <summary>
    /// Desc:批准文件有效期
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "evidence_file_indate")]
    public DateTime? EvidenceFileIndate { get; set; }

    /// <summary>
    /// Desc:实际用途
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "actual_use_to")]
    public string? ActualUseTo { get; set; }

    /// <summary>
    /// Desc:伪变化原因
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "pseudo_change_reason")]
    public string? PseudoChangeReason { get; set; }

    /// <summary>
    /// Desc:违法人身份证号
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "illegal_contact_idcard")]
    public string? IllegalContactIdcard { get; set; }

    /// <summary>
    /// Desc:联系人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "contacts_people")]
    public string? ContactsPeople { get; set; }

    /// <summary>
    /// Desc:联系人电话
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "contacts_phone")]
    public string? ContactsPhone { get; set; }

    /// <summary>
    /// Desc:现场核查情况
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "scene_verification_condition")]
    public string? SceneVerificationCondition { get; set; }

    /// <summary>
    /// Desc:现场处置情况
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "scene_deal_condition")]
    public string? SceneDealCondition { get; set; }

    /// <summary>
    /// Desc:有效期
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "expiry_date")]
    public DateTime? ExpiryDate { get; set; }

    /// <summary>
    /// Desc:建筑结构
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "build_structure")]
    public string? BuildStructure { get; set; }

    /// <summary>
    /// Desc:实际面积
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "actual_area")]
    public decimal? ActualArea { get; set; }

    /// <summary>
    /// Desc:是否有建筑物
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_have_build")]
    public int? IsHaveBuild { get; set; }

    /// <summary>
    /// Desc:是否永久性建筑物
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_forever_build")]
    public int? IsForeverBuild { get; set; }

    /// <summary>
    /// Desc:办理人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "transactor_id")]
    public string? TransactorId { get; set; }

    /// <summary>
    /// Desc:办理人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "transactor_name")]
    public string? TransactorName { get; set; }

    /// <summary>
    /// Desc:办理时间
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "transact_time")]
    public DateTime? TransactTime { get; set; }

    /// <summary>
    /// Desc:核查人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "examiner_id_deal")]
    public string? ExaminerIdDeal { get; set; }

    /// <summary>
    /// Desc:核查人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "examiner_name_deal")]
    public string? ExaminerNameDeal { get; set; }

    /// <summary>
    /// Desc:核查人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "examine_time_deal")]
    public DateTime? ExamineTimeDeal { get; set; }

    /// <summary>
    /// Desc:违法类型
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "illegal_type")]
    public string? IllegalType { get; set; }

    /// <summary>
    /// Desc:手续有效期
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "procedure_indate")]
    public DateTime? ProcedureIndate { get; set; }

    /// <summary>
    /// Desc:是否超范围
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_out_boundary")]
    public int? IsOutBoundary { get; set; }

    /// <summary>
    /// Desc:是否超层
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_over_floor")]
    public int? IsOverFloor { get; set; }

    /// <summary>
    /// Desc:是否具备完善手续条件
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_have_checkout_condition")]
    public int? IsHaveCheckoutCondition { get; set; }

    /// <summary>
    /// Desc:备注
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "remark__deal")]
    public string? RemarkDeal { get; set; }

    /// <summary>
    /// Desc:案件视频
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "casevideo")]
    public string? CaseVideo { get; set; }

    /// <summary>
    /// Desc:合法照片
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "legalpic")]
    public string? LegalPic { get; set; }

    /// <summary>
    /// Desc:合法视频
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "legalvideo")]
    public string? LegalVideo { get; set; }

    /// <summary>
    /// Desc:违法照片
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "illegalitypic")]
    public string? IllegalityPic { get; set; }

    /// <summary>
    /// Desc:违法视频
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "illegalityvideo")]
    public string? IllegalityVideo { get; set; }

    /// <summary>
    /// Desc:拆除照片
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "dismantlepic")]
    public string? Dismantlepic { get; set; }

    /// <summary>
    /// Desc:拆除视频
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "dismantlevideo")]
    public string? DismantleVideo { get; set; }

    /// <summary>
    /// Desc:完善照片
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "perfectpic")]
    public string? PerfectPic { get; set; }

    /// <summary>
    /// Desc:完善视频
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "perfectvideo")]
    public string? PerfectVideo { get; set; }

    /// <summary>
    /// Desc:伪变化照片
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "changepic")]
    public string? ChangePic { get; set; }

    /// <summary>
    /// Desc:伪变化视频
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "changevideo")]
    public string? ChangeVideo { get; set; }

    /// <summary>
    /// Desc:合法举证材料
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "legalevidencepic")]
    public string? LegalevidencePic { get; set; }

    /// <summary>
    /// Desc:恢复后照片
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "afterrecoverypic")]
    public string? AfterRecoveryPic { get; set; }

    /// <summary>
    /// Desc:拆除后照片
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "afterdismantlepic")]
    public string? AfterDismantlePic { get; set; }

    /// <summary>
    /// Desc:联系人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "contacts_people_hc")]
    public string? ContactsPeopleHc { get; set; }

    /// <summary>
    /// Desc:联系人电话
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "contacts_phone_hc")]
    public string? ContactsPhoneHc { get; set; }

    /// <summary>
    /// Desc:联系人
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "contacts_people_cc")]
    public string? ContactsPeopleCc { get; set; }

    /// <summary>
    /// Desc:联系人电话
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "contacts_phone_cc")]
    public string? ContactsPhoneCc { get; set; }


    /// <summary>
    /// Desc:联系人电话
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "contacts_people_nwssx")]
    public string? ContactsPhoneNwssx { get; set; }

    /// <summary>
    /// Desc:处理措施核查
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "is_build_complete_hc")]
    public string? IsBuildCompleteHc { get; set; }

    /// <summary>
    /// Desc:建筑结构核查
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "build_structure_hc")]
    public string? BuildStructureHc { get; set; }

    /// <summary>
    /// Desc:处理措施查处
    /// Default: 
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "build_structure_cc")]
    public string? BuildStructureCc { get; set; }

    /// <summary>
    /// Desc:处理措施查处
    /// Default:
    /// Nullable:True
    /// </summary>
    [SugarColumn(ColumnName = "is_build_complete_ncc")]
    public string? IsBuildCompleteNcc { get; set; }

    /// <summary>
    /// Desc:拟拆除
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "build_structure_ncc")]
    public string? BuildStructureNcc { get; set; }


    /// <summary>
    /// Desc:完善手续名称
    /// Default:
    /// Nullable:True
    /// </summary>
    [SugarColumn(ColumnName = "wssxmc")]
    public string? Wssxmc { get; set; }

    /// <summary>
    /// Desc:勘测定界图
    /// Default:
    /// Nullable:True
    /// </summary>           
    [SugarColumn(ColumnName = "boundarynwssxpic")]
    public string? Boundarynwssxpic { get; set; }

    /// <summary>
    /// Desc:图斑id
    /// Default:
    /// Nullable:True
    /// </summary>
    [SugarColumn(ColumnName = "geomid")]
    public string? Geomid { get; set; }
}